# 
#	System V AMD64 ABI Calling Convention
#	https://en.wikipedia.org/wiki/X86_calling_conventions#x86-64_calling_conventions
#
#	Usable on: UNIX System V, Linux, Solaris, FreeBSD, macOS
#
#	Compilation: gcc swap_gcc_x86-64.s -c -m64
#

            .text
            .global swap
swap:
            mov     (%rdi),%eax
            mov     (%rsi),%edx
            mov     %edx,(%rdi)
            mov     %eax,(%rsi)
            ret
