# 
#	Microsoft x64 Calling Convention
#	https://en.wikipedia.org/wiki/X86_calling_conventions#x86-64_calling_conventions
#
#	Usable on: Windows (mingw-w64-x86_64-gcc)
#
#	Compilation: gcc swap_mingw_x86-64.s -c -m64
#

            .text
            .global swap
swap:
            mov     (%rcx), %eax
            mov     (%rdx), %ebx
            mov     %ebx, (%rcx)
            mov     %eax, (%rdx)
            ret
